# Vincent MAGNIN, Polytech Lille, 2010

def koch(l,n):
    # # Fractale de Koch
    if n<=0:
        forward(l)
    else:
        ll=l/3
        nn=n-1
        koch(ll,nn)
        left(60)
        koch(ll,nn)
        right(120)
        koch(ll,nn)
        left(60)
        koch(ll,nn)

def flocon(l,n):
    # # Flocon de Koch
    koch(l,n)
    right(120)
    koch(l,n)
    right(120)
    koch(l,n)

# programme principal
from turtle import *
speed(0)
hideturtle()

etape=int(input("Entrez l'ordre de l'étape du flocon de Von Koch "))
taille1=float(input("Entrez la taille du cote du triangle initial "))
flocon(taille1,etape)

# on utilise une methode recursive pour programmer les fonctions

print("Appuyez sur Entrée")
pause=input()   # Pour éviter que la fenêtre graphique ne se ferme à la fin du programme !
